#
# spec file for package python-cpplint
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cpplint
Version:        1.4.5
Release:        bp156.3.1
Summary:        An automated checker to make sure a C++ file follows Google's C++ style guide
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/cpplint/cpplint
Source:         https://files.pythonhosted.org/packages/source/c/cpplint/cpplint-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This project continues the work of cpplint, a C++ style checker
following Google's C++ style guide. It provides cpplint as a PyPI
package and adds a few features and fixes. It is maintained as a
fork of google/styleguide (https://github.com/google/styleguide)
in hopes that it can be merged in the future.

%prep
%setup -q -n cpplint-%{version}
sed -i -e '/^#!\//, 1d' cpplint.py
sed -i 's/pytest-runner//' setup.py
sed -i 's/pytest-cov//' test-requirements
sed -i 's/--cov-fail-under=75 --cov=cpplint//' setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%python3_only %{_bindir}/cpplint
%{python_sitelib}/*

%changelog
* Wed Apr  1 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.4.5
  * Add support for c++17 tuple destructuring
  * Travis CI: Add Python 3.8 to the testing
  * Fix linting unnecessary elif after break
* Mon Feb 25 2019 John Vandenberg <jayvdb@gmail.com>
- Remove bcond test
- Remove unnecessary build dependency on python devel
- Add %%license
- Update to v1.4.4
  * fix unit/cli tests for source release
  * reduce diff to upstream by intentionally using deprecated functions
    where upstream uses them
  * add --version
- from 1.4.3
  * Revert "Fix the build/endif_comment check", same as reverted in upstream
- from 1.4.2
  * Cleanup release, fixes further issues with tests and source distribution
- from 1.4.1
  * Cleanup release, only adds test support files to source dist
- from 1.4.0
  * Incorporate cpplint updates from google (e5d807c6a0d, 2018-05-03)
  * Fix the build/endif_comment check
  * Teach the explicit constructor check about constexpr
  * Changed vs7 output format
  * Remove presubmit check for DISALLOW_* macros
  * add --quiet flag as in upstream
  * support --root argument to run in different folder
  * Fix 16bit Unicode issue
* Thu Nov 16 2017 toddrme2178@gmail.com
- Initial version for v1.3.0
